Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Profil 17.0: Jamin Speicherzugriffsfehler
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Erdie
Veteran
Veteran


Joined: 20 May 2004
Posts: 1974
Location: Heidelberg - Germany

PostPosted: Fri Jan 05, 2018 9:36 am    Post subject: Profil 17.0: Jamin Speicherzugriffsfehler Reply with quote

Hallo,

ich habe auf Profil 17.0 umgestellt, das ganze System neu gebaut, dann einen Kernel upgrade auf 4.9.72, da sich die Virtualbox- und Nvidia Module nicht mehr auf dem alten 4.4.29 bauen ließen.

Leider funktionieren für mich wichtige Applikationen nach der Umstellung nicht mehr, eines davon ist jamin. Darüberhinaus verursachen jetzt alte Windowsprogramme unter wine Speicherzugriffsfehler, darunter "Aerofly Professional Deluxe" ein alter Modellflugsimulator, den ich jahrelang zum Trainieren benutzt und geschätzt habe.

Ich gehe jetzt nur auf auf jamin ein. Nachdem ich das Problem festgestellt habe, habe ich zusätzlich ein komplettes "emerge -aev1 jamin" unter dem neuen kernel durchlaufen lassen, da beim ersten Kompilerdurchlauf der alte Kernel noch aktiv war. Es bleibt leider bei folgendem Fehler:

Code:

martin@kellerkind ~ $ jamin
jamin 0.95.0
(C) 2003-2005 J. Depner, S. Harris, J. O'Quin, R. Parker and P. Shirkey                                                 
This is free software, and you are welcome to redistribute it                                                           
under certain conditions; see the file COPYING for details.                                                             
                                                                                                                       
(jamin:9844): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated               

(jamin:9844): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(jamin:9844): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(jamin:9844): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
Speicherzugriffsfehler


Dadurch werden meine kompletten Audio-Aktivitäten unmöglich, da es noch keine Alternative zu jamin gibt. :cry:

Ich gehe i. d. R. nach dem Motto: "Never change a running system". Nur wenn man zum "change" gezwungen wird, wird mir immer wieder vor Augen geführt, wie viel Wahres an dem Sprichwort dran ist. :wink:

Vielleicht weiß noch jemand Rat?
Erdie
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4366

PostPosted: Fri Jan 05, 2018 10:04 am    Post subject: Reply with quote

probier mal die -r3 version des ebuilds.
Aber ansonsten würde ich nach einer alternative suchen, denn das projekt ist scheinbar tot. Die letzte release Version ist von 2005.
Es gibt einen gtk3 port git welches aber auch seinen letzten commit 2013 hat. https://sourceforge.net/p/jamin/code/ci/master/tree/
Ein ebuild für die git version gibt es wohl im proaudio overlay:

Es gibt für den segfault scheinbar einen patch: https://sourceforge.net/p/jamin/mailman/message/35775078/
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
Erdie
Veteran
Veteran


Joined: 20 May 2004
Posts: 1974
Location: Heidelberg - Germany

PostPosted: Fri Jan 05, 2018 10:29 am    Post subject: Reply with quote

Danke, ich probier es. BTW: Auf x86 funktioniert es. Der Rechner auf dem es failed ist amd64.

UPDATE: Die -r3 Version funktioniert leider auch nicht :x
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
Erdie
Veteran
Veteran


Joined: 20 May 2004
Posts: 1974
Location: Heidelberg - Germany

PostPosted: Fri Jan 05, 2018 10:44 am    Post subject: Reply with quote

Nur mal zum Verständnis: Wie kann sowas mit dem Profilupdate zusammenhängen?
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4366

PostPosted: Fri Jan 05, 2018 11:40 am    Post subject: Reply with quote

Beim profil update wurde AFAIK der gcc aktualisiert deshalb auch das system recompile.
Kann gut sein, dass jamin code verwendet der nicht standardkonform ist oder eine der verwendeten bibliotheken hat da probleme die durch jamin getriggert werden
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
Erdie
Veteran
Veteran


Joined: 20 May 2004
Posts: 1974
Location: Heidelberg - Germany

PostPosted: Fri Jan 05, 2018 2:27 pm    Post subject: Reply with quote

Wäre sowas auch für Windows Anwendungen denkbar trotz "Wine" Abstaktionsschicht?
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
LuxJux
Apprentice
Apprentice


Joined: 01 Mar 2016
Posts: 280

PostPosted: Sat Jan 06, 2018 12:24 am    Post subject: Reply with quote

Welches Wine benutzt du denn ? 9999, vanilla oder any(Gallium) ?
Back to top
View user's profile Send private message
Erdie
Veteran
Veteran


Joined: 20 May 2004
Posts: 1974
Location: Heidelberg - Germany

PostPosted: Sat Jan 06, 2018 10:54 am    Post subject: Reply with quote

LuxJux wrote:
Welches Wine benutzt du denn ? 9999, vanilla oder any(Gallium) ?


Vanilla moentan, sieht meinen post: https://forums.gentoo.org/viewtopic-t-1074894-highlight-.html

Das die Programme nicht mehr funktionieren, ist sehr ärgerlich. Ich denke darüber nach mir einen 2. Windows Rechner zuzulegen, nur wegen dieses besch*** Profilupdates. Da muß dann WindowsXP drauf weil die Programme auf neueren Versionen nicht mehr richtig laufen - da haben wir doch einen richtigen Sicherheitsgewinn , har har .. :P
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2132
Location: Germany

PostPosted: Wed Jan 10, 2018 9:45 pm    Post subject: Reply with quote

Ach du grüne neune.

1. Würde ich mindestens 4.14.11-v2 als Kernel einsetzten wegen der Meltdown Sicherheitslücke.

Aber vielleicht hast du ja ein AMD Ryzon oder anderen AMD-Prozessor der nicht betroffen ist.

2. virtuelbox wird bestimmt in neueren Versionen von gcc 6.4 unterstützt. Da heißt es das nur zu verfolgen oder abzuwarten bis es wieder geht.

Eventuell kannst du aber auch per Overlay aktuellere virtualbox ebuilds ziehen. Mittelfristig kommen auch die virtuelbox Entwickler nicht drum herum auf die neuen KAISER Patch Kernel-Version zu wechseln, auch wenn die Performance leider bis zu 20% SCHLECHTER! ist als zuvor.

Aber bis auf Offline-Szenarien fällt mir halt keine Anwendung ein die es erlauben würde keine KAISER-Patched Kernel einzusetzen.

Oder sich halt eines Mainboard kaufen und AMD verwenden.

Aber wenn du schon überlegst ein Windows-XP Rechner zu verwenden, scheint das Offline-Szenarieo bis auf die lokalen Angreifer aus dem Unternehmen. Hinnehmbar zu sein.

Tja, auch nach wonnacry sind immer noch einige Unternehmen da draußen die leider wegen Steuerungs-Programme für irgendwelchen Industrie-Maschinen leider immer noch ein XP nutzen müssen.

Auf der anderen Seite ist so ein XP mittlerweile ja gepatched trotz Support-Einstellung. Von daher ist da noch Hoffnung. Aber ich bezweifle das die Meltdown Problematik auch noch gepatched wurde von Microsoft für XP. ;))

Von daher sind die Karten wieder schlecht!

Es könnte halt ein Performance Problem werden und die Anwendung mit 20% weniger Leistung, zu langsam laufen. Aber wie gesagt.. neue Hardware macht glücklich.

Nebenbei: ich bin mir fast sicher das das aktuell nur ein Problem ist das du unter Gentoo halt noch nicht das ganze System neu gebaut hast nach dem Wechsel des Profiles. Schau dir auch mal das experimentielle 17.1 an, ich hab da keine Ahnung weil ich das nicht selber getestet hab, müsste aktuell auf meinem 17.0 System mal probieren ob meine Wine-Images noch laufen. Aber dafür müsste ich erst wieder mal wine installieren.

In der Regel hat man dafür ja bestimmte Use-Flags gehabt... und das Problem das du da bei dem Flight-Simulator hast, schaut einfach danach aus das die neueren Versionen von WINE vielleicht per default jetzt 64 Bit nutzen statt 32.

Oder das irgendeine Anwendung die Wine braucht in einem 32 Bit Pakete, bei dir nach dem wechsel auf gcc-6.4 einfach noch nicht neu gebaut wurde. oder eben lediglich in 64 bit statt als 32 Bit Version.

Wahrscheinlich musst du da nur nach haken und findest das.

Ich kenne mich leider nicht so aus wie man ldd verwendet um dann die 32 Bit oder 64 Versionen der Librarys ab zu klappern. Aber du müsstes das eigentlich heraus finden können.

Was halt auch sein kann, wenn diese Version die du da hast schon eine KAISER-Patched Version ist (ich hab die genauen Versions-Nummern nicht im Kopf) das halt deswegen wirklich ein Problem mit wine auftritt.

Aber auch da, müssten dann die Wine-Entwickler mittelfristig Updates liefern! Ist zwar blöd das das jetzt nicht geht. Aber es hilft ja nix.

Wie geschrieben, alternativ AMD einsetzen und einen Kernel der halt keinen Kaiserptch hat/braucht. ;D

Edit2: Aus dem Speicherdump geht hervor das die 32 Bit-Version von libdsl verwendet wird. Prüfe da mal ob du die wirklich in 32 Bit oder in 64 Bit verwendest und ob Wine bei dir als 32 Bit Version startet oder als 64 Bit Version. Eventuell halt auch wine noch mal neu bauen.

Das könnte das Problem schon beheben, aber vielleicht hast du Pech und der Bug kam wegen dem KAISER-Patch Memory Handling dann kannst da (vorerst) nichts machen außer auf Updates zu warten.
Back to top
View user's profile Send private message
Erdie
Veteran
Veteran


Joined: 20 May 2004
Posts: 1974
Location: Heidelberg - Germany

PostPosted: Wed Jan 24, 2018 1:15 pm    Post subject: Reply with quote

Vielen Dank aber mal zum Verständnis: Was hat das mit Virtualbox zu tun? Die Applikation läuft doch unter wine? Und es ist ein AMD FX Prozessor, nur zur Info. Wie in meiner Signatur.
_________________
Desktop AMD FX-4300 12GB RAM, Asus GF GTX 650. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000 + ganz viele Modellflugzeuge, ein Tandem, Rennrad und DFXL ;)
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi 1 + 2 + Zero W
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum